SHA224SUM(1)

NAZWA
sha224sum - oblicza i sprawdza skrót wiadomości SHA224

SKŁADNIA
sha224sum [OPCJA]... [PLIK]...

OPIS

Wypisuje lub sprawdza sumy kontrolne SHA224 (224-bitowe). Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

-b, --binary
    czyta w trybie binarnym

-c, --check
    czyta sumy kontrolne SHA224 z PLIKÓW i sprawdza je

-t, --text
    czyta w trybie tekstowym (domyślnie)

  Następujące trzy opcje są przydatne tylko przy sprawdzaniu sum kontrolnych:

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--strict
    z opcją --check, zwraca kod niezerowy przy nieprawidłowym wejściu

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Sumy są obliczane zgodnie z opisem w RFC 3874. Podczas sprawdzania, wejście powinno być wygenerowane wcześniej przez ten program. Domyślnym trybem jest wyświetlanie wierszy z sumą kontrolną, znaku określającego typ (* - binarny, spacja - tekstowy) i nazwy każdego PLIKU.

AUTOR
Napisane przez Ulricha Dreppera, Scotta Millera i Davida Madore.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w sha224sum proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu sha224sum proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2011 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja sha224sum jest dostępna w formacie Texinfo. Jeśli programy info i sha224sum są poprawnie zainstalowane, to polecenie

    info coreutils 'sha224sum invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.13 oryginału.